Package org.opensaml.saml.common.messaging.context

# Class SAMLArtifactContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLArtifactContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLArtifactContext extends BaseContext
Context that carries information about SAML artifact usage.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private byte[]`
`artifactType`
The artifact type.
`private Integer`
`sourceArtifactResolutionServiceEndpointIndex`
The artifact resolution endpoint index.
`private String`
`sourceArtifactResolutionServiceEndpointUrl`
The artifact resolution endpoint URL.
`private String`
`sourceEntityId`
The artifact source entityID.

## Constructor Summary

Constructors
Constructor
Description
`SAMLArtifactContext()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getArtifactType()`
Gets the artifact type.
`Integer`
`getSourceArtifactResolutionServiceEndpointIndex()`
Get the artifact resolution service endpoint index.
`String`
`getSourceArtifactResolutionServiceEndpointURL()`
Get the artifact resolution service endpoint URL.
`String`
`getSourceEntityId()`
Get the artifact source entityID.
`void`
`setArtifactType(byte[] type)`
Sets the artifact type.
`void`
`setSourceArtifactResolutionServiceEndpointIndex(Integer index)`
Set the source artifact resolution service endpoint index.
`void`
`setSourceArtifactResolutionServiceEndpointURL(String url)`
Set the artifact resolution service endpoint URL.
`void`
`setSourceEntityId(String entityId)`
Set the artifact source entityID.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### artifactType

@Nullable private byte[] artifactType
The artifact type.

### sourceEntityId

@Nullable @NotEmpty private String sourceEntityId
The artifact source entityID.

### sourceArtifactResolutionServiceEndpointUrl

@Nullable @NotEmpty private String sourceArtifactResolutionServiceEndpointUrl
The artifact resolution endpoint URL.

### sourceArtifactResolutionServiceEndpointIndex

@Nullable private Integer sourceArtifactResolutionServiceEndpointIndex
The artifact resolution endpoint index.

## Constructor Details

### SAMLArtifactContext

public SAMLArtifactContext()

## Method Details

### getArtifactType

@Nullable public byte[] getArtifactType()
Gets the artifact type.

Returns:
  artifact type, may be null

### setArtifactType

public void setArtifactType(@Nullable byte[] type)
Sets the artifact type.

Parameters:
  `type` - the new artifact type

### getSourceEntityId

@Nullable @NotEmpty public String getSourceEntityId()
Get the artifact source entityID.

Returns:
  the source entityID, may be null

### setSourceEntityId

public void setSourceEntityId(@Nullable String entityId)
Set the artifact source entityID.

Parameters:
  `entityId` - the new source entityID

### getSourceArtifactResolutionServiceEndpointURL

@Nullable @NotEmpty public String getSourceArtifactResolutionServiceEndpointURL()
Get the artifact resolution service endpoint URL.

Returns:
  the URL

### setSourceArtifactResolutionServiceEndpointURL

public void setSourceArtifactResolutionServiceEndpointURL(@Nullable String url)
Set the artifact resolution service endpoint URL.

Parameters:
  `url` - the new URL

### getSourceArtifactResolutionServiceEndpointIndex

@Nullable public Integer getSourceArtifactResolutionServiceEndpointIndex()
Get the artifact resolution service endpoint index.

Returns:
  the index

### setSourceArtifactResolutionServiceEndpointIndex

public void setSourceArtifactResolutionServiceEndpointIndex(@Nullable Integer index)
Set the source artifact resolution service endpoint index.

Parameters:
  `index` - the new index